=======

## **Version 10**

- Ability to hide exercises

## **Version 9**

- Bug fixes

## **Version 8**

- Add option to skip the rest timer for the final set
- Fix HealthKit synced workout dates
- Long press notes to show the menu
- Update CSV format for the other FitNotes import

## **Version 7**

- Export and import templates
- Added an option to copy previous sets when adding an exercise to a workout
- Add 'Copy' to the long press menu on workout notes
- Allow a negative RIR

## **Version 6**

- Fix decimal inputs for RPE and RIR
- Fix the lockscreen timer text being black for some users

## **Version 5**

- Add the rest timer to the lock screen. You must enable it from the rest timer settings.
- Restore lookback time ranges for the Exercise records
- Add 'By Year' to statistics time groupings
- Add an option to double an exercise's weight when calculating volume. You can use this for unilateral or dumbbell exercises.
- Add 'Sort By Category' in the exercise list sorting options
- Add RPE and RIR to workout sets
- Add custom rest times to a single workout set
- Add an option to show the workout set notes without opening the notes screen
- Flag sets as 'warmup'. Warmup sets are excluded from graphs, statistics and goals.

- Fix rest time settings not updating properly when deleted
- Fix the rest timer buttons not working after uses EMOM/AMRAP timers
- Don't send notifications for EMOM/AMRAP timers
- Fix the 'next set' message that could be wrong sometimes when using supersets
- Skip autobackup if the phone is too hot
- Fix a layout issue with the settings menu for long settings names
- Fix 'Y-Axis from Zero' graph option

## **Version 4.1**

- Fix number highlighting in the input fields on iOS 17.2
- Fix a crash when sharing a screenshot of the workout
- Fix a crash that could happen changing the HealthKit Quantity Type for a measurement
- Fix a crash and a bug that could happen when creating new exercises
- Fix a crash that could happen when deleting a set that is a record

## **Version 4**

- Add custom time ranges for calculating records
- Pin body measurements to the top of the workout for quicker reference and entry. Enable it from Body Tracker -> Edit at the top, then tap a measurement
- Add "Auto Select Next Set" option. When enabled, the next incomplete set of an exercise will be selected when you open that exercise's page
- Include workout set notes and indicate supersets in the text share format
- Show the whitespace when typing in an exercise name
- Traducido al español
- Add watch complication for opening the watch app quickly

## **Version 3.1.1**

- Swipe left and right to change workouts
- Edit workout sets from the Watch app (WatchOS 10+ only)
- Use the Rest Timer from the Watch app (WatchOS 10+ only)
- Fix the Copy function in new templates
- Support WatchOS 8 for older Apple Watch devices
- Support more versions of the original FitNotes DB
- If 'Start Workout on Watch' is off, the Apple Workout will not start on the watch when the first set is completed. You must start the workout manually in that case. Note that the watch app cannot stay open unless it is running an Apple Workout.
- Fix incorrect colors shown in the category breakdown chart
- Fix a crash after modifying a category while creating a new exercise
- Fix a crash when changing HealthKit Workout Activity Type on an exercise in a template
- Possibly fix a crash when changing the exercise kind that affected some users
- Fix a crash that can occur when starting a workout on a watch or syncing it to the phone later
- Notes that contain only a link can now be tapped for editing, the link was blocking the editing tap
- Improve the explanations of Auto Track Workout Time and Start Workout on Watch
- Fix import of Workout Notes from the other app's database file
- Include this changelog in the app

## **Version 3.1.0**

- Redesigned Exercise form
- Links in exercise and body tracker notes can be tapped
- Move exercises from one workout to another day
- Create template from selected exercises in a workout
- Apple Watch Workout will not start automatically from the phone by default anymore. Change the "Start Workout on Watch" setting to "Always" if you want it to start automatically.
- Import CSV from Liftin and WeightFit
- Fix crash when duplicating templates or template groups
- Fix supersets missing in templates created from a workout

## **Version 3.0.0**

- New: Sync Apple Workouts with or without Apple Watch
- New: Help documentation on the website getfitnotes.com
- New: Autobackup won't block a manual export anymore
- New: Rescale Y Axis option for graphs, the Y-Axis will automatically adjust to visible data when enabled
- New: Added centimeters and inches to distance units. Useful for box-based exercises.
- New: An exercise in a workout can be replaced with any other exercise. Previously, it was restricted to exercises of the same 'kind'.
- New: Import CSV from Hevy
- New: EMOM, AMRAP and Tabata timers
- New: Option to show the slope of the trendline on the chart
- Fix: Next Set notifications for users using "Auto Mark Sets Complete"
- Fix: Import of some FitNotes Android CSVs
- Fix: Import of Strong CSVs in Korean

## **Version 2.2.2**

- New: Improved Apple Watch sync
- New: Show the next set in the rest time notification
- New: Sort exercises by most recent and most frequent
- Fix: 1RM Goals are calculated correctly
- Fix: Export to FitNotes Android DB no longer fails on exercise types that aren't supported in the Android app, such as weight+time+reps exercises.
- Fix: Pre-fill the filename when sharing workout text to a file sharing application

## **Version 2.2.0**

- New: Apple Watch integration
- Fix: "Create Template From Workout"

## **Version 2.1.2**

- Fix: Some workout set buttons didn't work after deleting other sets
- Fix: Changing a Body Tracker Measurement Type could crash the app

## **Version 2.1.1**

- New: Insert timestamps into notes with a button
- New: Use a button on the calendar to jump to today's date
- New: Filter specific measurements in the Body Tracker history
- New: Show other measurements on the same day, inside of the Edit Measurement Data form
- New: Scroll workout sets down as they are saved
- Fix: Deleting a template would sometimes delete the wrong template
- Fix: Text field placeholders were incorrect at times for rest time settings
- Fix: Show iCloud-stored backup files in the Restore menu
- Fix: Open backup files stored only in iCloud automatically
- Fix: The max backups option ignored iCloud-stored backup files

## **Version 2.1.0**

- New: Organize Templates
- New: Apple HealthKit integration for Body Tracker measurements
- New: Percents Calculator
- New: Export a workout as a photo
- New: Show the barbell weights in the exercise barbell default picker
- Fix: Multiple-finger swipe gestures no longer crash when deselecting
- Fix: Various bugs introduced by iOS 16
- Fix: Weekly and monthly workout volumes were wrong in the graph infobox
- Fix: Use the numeric keyboard for all number-based inputs

## **Version 2.0.2**

- New: Add a search bar in the templates list
- New: Access templates from the drop-down menu
- New: Save presets for the Exercises chart
- New: Assign Plate Calculator barbells to exercises
- New: Allow exercises to have 3 dimensions, such as distance, weight and time
- Fix: Improve charts for distance exercises

## **Version 2.0.1**

- New: You can delete any exercise now, even if it is in use
- New: Add a button to search for an exercise on YouTube
- Fix: Issues with logging individual exercises from a template
- Fix: Editing categories
- Fix: Copy Workout bug
- Fix: Yards can be exported to Android now

## **Version 2.0.0**

- New: Templates feature, similar to routines
- New: Access exercise info from the workout exercise "More" menu
- New: iOS 13 no longer supported
- New: Import CSV from Strong, IronGAINS, HeavySet and FitBod
- New: Ability to undo CSV import
- Fix: Rest timer stopped playing sound sometimes, at least one cause of this has been fixed
- Fix: Replace exercise sometimes failed
- Fix: Multi-finger swipe gestures for workout sets in iOS 15

## **Version 1.5.2**

- New: Include a total summary in the breakdown chart
- New: Workout set updates automatically when completed if highlighted
- New: Show total workout count in the calendar preview. Tap on the preview date to switch to workout count.
- Fix: Chart time ranges for Body Tracker were not working properly
- Fix: Unable to import older Android backups
- Fix: Goal distance unit was imported incorrectly from Android
- Fix: Goals were not transferred when merging exercises

## **Version 1.5.1**

- New: Swipe on the exercise tab bar to switch between exercises
- New: Export back to original FitNotes
- Fix: Rest timer not in sync on some devices

## **Version 1.5.0**

- New: Workout timer
- Fix: Crash when searching for unicode characters in exercises

## **Version 1.4.3**

- New: Merge exercises. You can merge an exercise into another one through the exercise edit form.
- New: Set a rest time of 0 to disable the rest timer for an exercise
- New: Small notification when a record or goal is reached. This can be disabled in Settings.
- New: Workouts graph defaults to the "All" filter instead of no filter
- Change: Adjust exercise search ranking
- Fix: Transparency issues on iOS 15
- Fix: When copying sets from history and not copying notes, erase old notes
- Fix: Goal form date picker defaults to today
- Fix: Crashes when jumping between exercises

## **Version 1.4.2**

- Fix bug that prevented copying a work with the notes prompt enabled

# **Version 1.4.1**

- Notes, records and goals can be viewed from history and workout previews
- Add option to mark sets as complete when saved. If enabled, when a set is saved, the rest timer will begin automatically if auto-start is enabled. It will also jump through supersets automatically.

# **Version 1.4.0**

- New: Plate Calculator
- New: Show exercise history in the exercise info panel
- New: Show when an exercise was last used in the exercise list
- New: Rest timer audio ducking is optional
- Fix: Rest Timer audio no longer pauses background spoken audio

# **Version 1.3.1**

- New: Auto backup
- Fix: Various bugs in the workout view affecting exercise reordering, replacement and supersets
- Fix: Goal tracking for some goal types was broken
- Fix: Memory leak of the goal form

# **Version 1.3**

- New: Set goals for your exercises
- New: Batch delete unused exercises and measurement types
- Fix: Import issue for older Android database files
- Fix: Settings menu misalignments

# **Version 1.2.1**

- New: Create supersets in a workout
- New: Replace an exercise in a workout after selecting it
- New: Add graph support for cardio: max distance, time, speed and pace
- New: "All" filter on the Workouts graph
- New: Choose alternative sounds for the rest timer
- New: Add a button to delete all app data in the settings menu
- New: Use the copy notes prompt setting when copying sets from history
- Fix: Estimated 1RM graph could show incorrect values

# **Version 1.2**

- Search for exercises by category
- Redesigned exercise browser
- Set your preferred graph query and time frame
- Copy sets from exercise history
- Record calories in the body tracker
- Graph fill is optional
- Handle older CSV file format imports
- Prevent opening multiple views simultaneously
- Fix "Workouts By Category" breakdown report
- Fix the "Go To Next Workout - Always" setting
- Fix a crash when removing all body measurements
- Fix an app freeze that can occur when using graphs
- Add more exercises to the database

# **Version 1.1.2**

- Improve CSV import

# **Version 1.1.1**

- Add "share workout", which shares the workout as text to other apps
- Add support to import CSV from another FitNotes workout app
- Simplify options around importing
- Improve haptic feedback
- Workout UI adjustments

# **Version 1.1**

- Body tracker CSV import and export
- Add comments to body tracker measurements
- Import comments from FitNotes Android Body Tracker data
- Fix memory leaks

# **Version 1.0.4**

- Fix a bug when selecting searched exercises
- Show workout count in the exercise list
- Add fuzzy search to exercises and categories

# **Version 1.0.3**

- Fix body measurements sometimes crashing
- Fix a crash when using certain international keyboards

# **Version 1.0.2**

- Display remaining free workouts to the user


# **Version 1.0.1**

- Fix a potential crash

# **Version 1.0**

First release of FitNotes for iOS. Note: this app is not affiliated with FitNotes for Android.

- Record body measurements and graph them
- Record workouts and graph your stats
- Keep track of personal records
- Automatic rest timer
- See your workouts in a calendar, with body part category labels
- Record your workouts in both lbs and kg. Not restricted to only one or the other.
